Skip to main content
PATCH
/
brands
/
{id}
Update a brand
curl --request PATCH \
  --url https://api.social-api.ai/v1/brands/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Acme Corp"
}
'
{
  "accounts_count": 0,
  "created_at": "2026-03-14T09:00:00Z",
  "id": "b_01HZ9X3Q4R5M6N7P8V2K0W1J",
  "name": "Acme Corporation",
  "updated_at": "2026-03-14T09:00:00Z"
}

Authorizations

Authorization
string
header
required

Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...

Path Parameters

id
string
required

Brand ID

Body

application/json

New name

name
string
Example:

"Acme Corp"

Response

Brand updated

accounts_count
integer
Example:

0

created_at
string
Example:

"2026-03-14T09:00:00Z"

id
string
Example:

"b_01HZ9X3Q4R5M6N7P8V2K0W1J"

name
string
Example:

"Acme Corporation"

updated_at
string
Example:

"2026-03-14T09:00:00Z"